@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.hero-image {
    background-image: url("images/developer.png");
    min-height: 100vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;
}

.hero-title {
    position: absolute;
    top: 15%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    width: 500px;
}

.name {
    font-size: 50px;
    text-align: center;
}

.title {
    text-transform: uppercase;
    text-align: center;
    font-size: 40px;
}

.work h2 {
    border: 2px solid black;
    width: 100%;
    height: 10vh;
    background-color: black;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
    font-weight: 300;
    font-size: 32;
}

.small-work {
    font-size: larger;
    font-weight: 500;
    padding-left: 10px;
}

.services {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    max-width: 1100px;
    margin: 50px auto;
}

.grid_item {
    display: flex;
    justify-content: center;
    align-items: center;
}

.card {
    max-width: 320px;
    height: 400px;
    border-radius: 10px;
    box-shadow: 3px 5px 5px rgba(1, 1, 1, 0.2);
    transition: 0.2s ease-in-out;
}

.content {
    padding: 20px;
    margin-bottom: 10px;
}

.contact-me {
    min-height: 300px;
    background-color: #515603;
    color: white;
    padding: 50px;
}

.contact-me h2 {
    font-size: 30px;
    font-weight: 100;
}

.contact-me .email {
    margin-top: 20px;
}

.about-me {
    min-height: 300px;
    background-color: #722300;
    color: white;
    padding: 50px;
}

.about-me h2 {
    font-size: 30px;
    font-weight: 100;
}

.about-me p {
    margin: 20px auto;
}

.footer h2 {
    border: 2px solid black;
    width: 100%;
    height: 10vh;
    background-color: black;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    text-transform: uppercase;
    font-weight: 200;
    font-size: 20px;
}

.bottom-section {
    display: flex;
}

/* media query */

@media only screen and (max-width: 768px) {
    .name {
        font-size: 30px;
    }

    .title {
        font-size: 30px;
    }

}

@media only screen and (max-width: 600px) {

    .name {
        font-size: 20px;
    }

    .title {
        font-size: 20px;
    }

    .card {
        max-width: 360px;
    }

    .card img {
        width: 100%;
    }

    .card .content {
        width: 100%;
        text-align: justify;
    }

    .bottom-section {
        flex-direction: column;
    }

}

@media only screen and (max-width: 400px) {

    .card {
        max-width: 300px;
    }

    .card img {
        width: 100%;
    }

    .card .content {
        width: 100%;
        text-align: justify;
    }

    .bottom-section {
        flex-direction: column;
    }

}